apiVersion: apps/v1
kind: Deployment
metadata: 
  name: spreadsheet
  labels:
    app: spreadsheet
spec:
  replicas: 4
  selector:
    matchLabels:
      app: spreadsheet
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 8
  template:
    metadata:
      labels:
        app: spreadsheet
    spec:
      containers:
        - name: spreadsheet
          image: ranjanmangla1/spreadsheet
          envFrom:
            - configMapRef:
                name: spreadsheet-configmap
            - secretRef:
                name: spreadsheet-secret 